package p05_petle;

import java.util.Scanner;

public class Skarbonka {
	// "schemat ze skarbonką":
	// - przed pętlą towrzymy zmienną o wartości 0
	// - w pętli wielokrotnie dodajemy do tej zmiennej kolejne składniki
	// - na końcu w zmiennej mamy sumę wszystkich elementów

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		int suma = 0;
		while(true) {
			System.out.print("Twoja wpłata: ");
			int wplata = scanner.nextInt();
			suma = suma + wplata; // albo suma += wplata;
			System.out.println("Wpłaciłeś " + wplata + ", suma wynosi " + suma);
		}
	}

}
